Subject: Re: bug#54488: 29.0.50; move-to-column/overlay-related regression in latest master, perhaps 28?

From: João Távora <[email-masked]>
Date: Thu, 24 Mar 2022 16:03:59 +0000

Eli Zaretskii <[email-masked]> writes:

>> An interesting one, though.  I think I follow.  Is there some easy way
>> in Emacs to measure how many UTF-16 code units a given codepoint takes?
>
> That's easy: any codepoint above #xFFFF needs 2 UTF-16 code units.

>> I'm afraid I evicted this knowledge from the cache since I made that fix
>> 2,5 years ago... Is a "codepoint" here a character in a string/buffer?
>
> Yes.

Indeed seems easy enough :-).  So

(defun measure (s) (cl-loop for c across s sum (if (> c #xFFFF) 2 1)))

?

João